import request from "@/utils/request";

export function getInspectionData(data: object) {
  return request({
    url: "/api/v1/inspectionReport/page",
    method: "post",
    data,
  });
}

//处理反馈表

export function dealFeedback(data: object) {
  return request({
    url: "/api/v1/inspectionReport/handle",
    method: "post",
    data,
  });
}

export function updateInspectionData(data: any) {
  return request({
    url: `/api/v1/inspectionReport/update`,
    method: "post",
    data: data,
  });
}

export function getInspectionDetail(id: number) {
  return request({
    url: `/api/v1/inspectionReport/get/${id}`,
    method: "get",
  });
}

export function getSignaturebyName(name: string) {
  return request({
    url: `/api/v1/inspectionReport/getSignature`,
    method: "get",
    params: {
      name: name,
    },
  });
}
